Request a Sign & Seal Verification

On this page, you will learn how to initiate a new Sign & Seal Verification using the API.

To initiate a new Sign & Seal Verification, upload the PDF document on the following endpoint:

POST /verifications/signatures_seals

curl --request POST \
  --url '{baseUrl}/verifications/signatures_seals' \
  --header 'Authorization: Bearer {apiKey}' \
  --header 'Content-Type: multipart/form-data' \
  --form '[email protected];type=application/pdf' \
  --form workspace_id='9b2c4d1e-6f70-4a8b-9c0d-1e2f3a4b5c6d'
{
  "id": "1f3a8e7a-3948-4680-b306-75cd1b49e761",
  "workspace_id": "9b2c4d1e-6f70-4a8b-9c0d-1e2f3a4b5c6d",
  "status": "pending",
  "status_codes": [],
  "created_at": "2026-10-02T09:11:48+00:00",
  "updated_at": "2026-10-02T09:11:48+00:00",
  "document_name": "contract-2026.pdf",
  "data_anonymized": false,
  "signatures": []
}
Body ParamTypeDescription
filefile[required] The PDF document to verify.
workspace_idstringScopes the verification to a specific workspace. Defaults to the main workspace if not specified.

In the response, you'll find the id. This value is required to retrieve the verification results.

What document formats do we currently accept?

File limitations and guidelines

Limit typeLimit value
FormatPDF only
Max file size50 MB
Password protectionAccepted, but the verification ends inconclusive with SSV_1003 when a password is required to open the file
📘

Implementation tip

Always request the original PDF. Printing, flattening or re-saving a signed PDF often removes its signatures.